/*
 * Copyright (C) 2005 NTT DATA Corporation
 * 
 */
package org.postgresforest.tool.bean;

//テーブルの制約情報を格納するクラス
//
//	制約種別番号一覧
//	Primary Key		1
//	Foreign Key		2
//	Check			3
//	Index			4
//	Unique			5
//	Default			6
//	Comment			7
public class ConData implements Cloneable
{
	private String conName;	//制約名(name型)
	private String conCategory;		//制約種別番号(smallint型)
	private String attNum;			//対象カラム数(smallint型)
	private String targetColumn;	//対象カラム番号(smallint[]型)
	private String description;		//制約詳細(text型)
	
	public ConData()
	{
		
	}
	
	public void setName(String name)
	{
		conName = name;
	}
	
	public void setCategory(String cat)
	{
		conCategory = cat;
	}
	
	public void setAttNum(String num)
	{
		attNum = num;
	}
	
	public void setCols(String cols)
	{
		targetColumn = cols;
	}
	
	public void setDesc(String desc)
	{
		description = desc;
	}
	
	
	
	public String getName()
	{
		return conName;
	}
	
	public String getCategory()
	{
		return conCategory;
	}
	
	public String getAttNum()
	{
		return attNum;
	}
	
	public String getCols()
	{
		return targetColumn;
	}
	
	public String getDesc()
	{
		return description;
	}
	
}
